This plugin hasn’t been tested with the latest 3 major releases of WordPress. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

SAF MOSS

Description

The tax authority of any EU member state may request an audit of the sales of any EU business. The EU tax authorities
have agreed a standard audit file (SAF) format for the information necessary for an audit so it can be supplied electronically:
the so-called SAF-MOSS XML schema. This plugin allows you to specify a date range from which sales records
will be extracted from your EDD or WooCommerce shop and stored in a file that is compliant with standard format.

Features

Select your e-commerce package

* Easy Digital Downloads or
* Woo Commerce

Create quarterly definitions

* Select the date range of the transactions to be included
* Convert transactions recorded in another currency into the currency of your company
* Generate a SAF file

Videos

[Watch videos](http://www.wproute.com/standard-audit-file-saf-moss/ "Videos showing the plug-in working") showing how to configure the plug-in and create an audit file.

Generate a Standard Audit File

Buy credits to generate a standard audit file from your sales records.

Screenshots

  • The first task is to define the settings that are common to all definitions.
  • The second task is to select the e-commerce package you are using.
  • The main screen shows a list of the existing definitions.
  • New definitions are created by specifying the correct header information, most of which is taken from the settings, and also select the sales transactions that should be includedin the submission

Installation

Install the plugin in the normal way then select the settings option option from the VAT MOSS menu added to the main WordPress menu. Detailed configuration and use instructions can be found on our web site.

Requires

This plugin requires that you capture VAT information in a supported format such as the format created by the Lyquidity VAT plugin for EDD or the Woo Commerce EU VAT Compliance plugin.

FAQ

Installation Instructions

Install the plugin in the normal way then select the settings option option from the VAT MOSS menu added to the main WordPress menu. Detailed configuration and use instructions can be found on our web site.

Requires

This plugin requires that you capture VAT information in a supported format such as the format created by the Lyquidity VAT plugin for EDD or the Woo Commerce EU VAT Compliance plugin.

Q. Do I need to buy credits to use the plugin?

A. No but you will need a credit to be able to generate the audit file.

Contributors & Developers

“SAF MOSS” is open source software. The following people have contributed to this plugin.

Contributors

Translate “SAF MOSS” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

Changelog

1.0

Initial version released

Fixed a problem with an invalid constant name in vatidvalidator.php

1.0.3

Extra protections against malicious execution
Small change to prevent js and css files being added to the front end

1.0.4

Fixed a problem selecting definitions by month

1.0.5

Added the ability to test an upload file generation. The file will be created but the values will be zero

1.0.6

Added support for EU VAT Assistant for WooCommerce from Aelia
Added notices that VAT plugins must be installed and activated

1.0.7

Fixed the tests to confirm the existence of the Lyquidity plugin (EDD) or the Simba or EU VAT Assistant plugin (WooCommerce)

1.0.8

Updated references to the service site

1.0.9

Updated add_query_arg calls to escape them as recommended by the WordPress advisory

1.0.10

Fixed text domain errors

1.0.11

Fixed incompatibility with WP 4.4 that prevented the summary being displayed
Updates to prevent notice messages appear in the WP log when using PHP 7.0

1.0.12

Change the use of home_url( ‘/’ ) to home_url( ‘/’, $scheme = relative ) so the plugin will work on a site using HTTPS
where the site blog table contains HTTP.

Supports WordPress 4.5.1

1.0.13

Update WordPress supported version